package intrinsic.mx.events;

public class DateChooserEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public String detail;
	public intrinsic.flash.events.Event triggerEvent;

	/** Constants */
	public static final String VERSION = "version";
	public static final String SCROLL = "scroll";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DateChooserEvent() {
}

public DateChooserEvent(String arg0) {
}

public DateChooserEvent(String arg0, boolean arg1) {
}

public DateChooserEvent(String arg0, boolean arg1, boolean arg2) {
}

public DateChooserEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public DateChooserEvent(String arg0, boolean arg1, boolean arg2, String arg3, intrinsic.flash.events.Event arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
